--- old/usr/src/lib/fm/topo/maps/i86pc/i86pc-legacy-hc-topology.xml	Mon Nov 26 00:31:45 2012
+++ new/usr/src/lib/fm/topo/maps/i86pc/i86pc-legacy-hc-topology.xml	Mon Nov 26 00:31:45 2012
@@ -2,6 +2,7 @@
 <!DOCTYPE topology SYSTEM "/usr/share/lib/xml/dtd/topology.dtd.1">
 <!--
 Copyright (c) 2009, 2010, Oracle and/or its affiliates. All rights reserved.
+Copyright (c) 2012, Joyent, Inc. All rights reserved.
 
  CDDL HEADER START
 
@@ -150,6 +151,18 @@
           <propmap name='Sun-Fire-X4600-M2-disk' />
        </range>
     </set>
+
+    <set type='product' setlist='Joyent-Compute-Platform-1101'>
+       <range name='psu' min='0' max='100'>
+          <enum-method name='ipmi' version='1' />
+       </range>
+       <range name='fan' min='0' max='100'>
+          <enum-method name='ipmi' version='1' />
+       </range>
+       <range name='bay' min='0' max='15'>
+          <propmap name='Joyent-Compute-Platform-1101-disk' />
+       </range>
+    </set>
 
     <set type='product' setlist='default'>
        <range name='psu' min='0' max='100'>
